petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPythonCreate

Create a Mat object implemented in Python.

### Synopsis

    #include "petscmat.h"
    #undef __FUNCT__
    #define __FUNCT__ "MatPythonCreate"
    PetscErrorCode  MatPythonCreate(MPI_Comm comm,PetscInt m,PetscInt n,PetscInt M,PetscInt N,const char pyname[],Mat *A)

Collective on Mat Many br

### Input Parameters

| comm | - MPI communicator Many br
| m | - number of local rows (or PETSC_DECIDE to have calculated if M is given) Many br
| n | - number of local columns (or PETSC_DECIDE to have calculated if N is given) Many br
| M | - number of global rows (or PETSC_DECIDE to have calculated if m is given) Many br
| N | - number of global columns (or PETSC_DECIDE to have calculated if n is given) Many br
| pyname | - full dotted Python name [package].module[.{class|function}] Many br

### Output Parameter

A -the matrix Many br

Many br

### Keywords

Mat, Python

### See Also

MATPYTHON, MatPythonSetType(), PetscPythonInitialize()

Level:intermediate
Location:src/mat/impls/python/pythonmat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages